# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Sant)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */ 


#-----------------------------------------------------------------------------
#
# ___Library_name___here___Config.cmake - CMake configuration file for external projects.
# This file was automatically generated by the cmake macro 
# CREA_INSTALL_LIBRARY_FOR_CMAKE of the package CREA
#
# This file is configured by cmake and used by the
# Use___Library_name___here___.cmake module to load the lib settings 
# for an external project.

# Build tree config ?
SET(CILC_BUILD_TREE_CONFIGURATION FALSE)


IF(UNIX)
SET(GOTO_INSTALL_PREFIX /../../..)
ENDIF(UNIX)


# The ___Library_name___here___ include file *RELATIVE* directories.
SET(CILC_RELATIVE_INCLUDE_PATHS "include/___Library_name___here___")
# Compute the prefix for include and library paths
IF(CILC_BUILD_TREE_CONFIGURATION)
  # In build tree 
  # the include paths are relative to the source tree *AND* the binary tree 
  # for generated files 
  SET(CILC_INCLUDE_PATH_PREFIX /home/davila/Creatis/creaTools/creatools_source/creaMiniTools)
  # Build the *ABSOLUTE* directories
  FOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
    SET(___Library_name___here____INCLUDE_DIRS
      ${___Library_name___here____INCLUDE_DIRS}
      ${CILC_INCLUDE_PATH_PREFIX}/${path}
      )
  ENDFOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
  SET(CILC_INCLUDE_PATH_PREFIX /home/davila/Creatis/creaTools/creatools_bin/creaMiniToolsBin)
  # Build the *ABSOLUTE* directories
  FOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
    SET(___Library_name___here____INCLUDE_DIRS
      ${___Library_name___here____INCLUDE_DIRS}
      ${CILC_INCLUDE_PATH_PREFIX}/${path}
      )
  ENDFOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
ELSE(CILC_BUILD_TREE_CONFIGURATION)
  # In install tree 
  # the include paths are relative to install prefix 
  # On unix , GOTO_INSTALL_PREFIX allows to get back to the 
  # installation prefix from  ___Library_name___here____DIR
  SET(CILC_INCLUDE_PATH_PREFIX ${___Library_name___here____DIR}${GOTO_INSTALL_PREFIX})
  # Build the *ABSOLUTE* directories
  FOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
    SET(___Library_name___here____INCLUDE_DIRS
      ${___Library_name___here____INCLUDE_DIRS}
      ${CILC_INCLUDE_PATH_PREFIX}/${path}
      )
  ENDFOREACH(path ${CILC_RELATIVE_INCLUDE_PATHS})
ENDIF(CILC_BUILD_TREE_CONFIGURATION)



# Compute the prefix for library paths
IF(CILC_BUILD_TREE_CONFIGURATION)
  # In build tree
  # the library paths are relative to the binary tree 
  SET(CILC_LIBRARY_PATH_PREFIX /home/davila/Creatis/creaTools/creatools_bin/creaMiniToolsBin)
ELSE(CILC_BUILD_TREE_CONFIGURATION)
  # In install tree 
  # the library paths are relative to install prefix
  SET(CILC_LIBRARY_PATH_PREFIX ${___Library_name___here____DIR}${GOTO_INSTALL_PREFIX})
ENDIF(CILC_BUILD_TREE_CONFIGURATION)
# The ___Library_name___here___ library file *RELATIVE* directories.
SET(CILC_RELATIVE_LIBRARY_PATHS "lib64/creatools")
# Build the *ABSOLUTE* directories
FOREACH(path ${CILC_RELATIVE_LIBRARY_PATHS})
  SET(___Library_name___here____LIBRARY_DIRS
    ${___Library_name___here____LIBRARY_DIRS}
    ${CILC_LIBRARY_PATH_PREFIX}/${path}
    )
ENDFOREACH(path ${CILC_RELATIVE_LIBRARY_PATHS})

# Set the "prefix path"
SET(___Library_name___here____INSTALL_PREFIX ${CILC_LIBRARY_PATH_PREFIX})

# The C and C++ flags added by ___Library_name___here___ to the cmake-configured flags.
SET(___Library_name___here____REQUIRED_C_FLAGS "")
SET(___Library_name___here____REQUIRED_CXX_FLAGS "")
SET(___Library_name___here____REQUIRED_LINK_FLAGS "")

# The ___Library_name___here___ version 
SET(___Library_name___here____MAJOR_VERSION )
SET(___Library_name___here____MINOR_VERSION )
SET(___Library_name___here____BUILD_VERSION )
SET(___Library_name___here____VERSION ..)

# The location of the Use___Library_name___here___.cmake file.
SET(___Library_name___here____USE_FILE "${___Library_name___here____DIR}/Use___Library_name___here___.cmake")

# The build settings file.
SET(___Library_name___here____BUILD_SETTINGS_FILE 
  "${___Library_name___here____DIR}/___Library_name___here___BuildSettings.cmake")

# A list of all libraries for ___Library_name___here___.  Those listed here should
# automatically pull in their dependencies.
SET(___Library_name___here____LIBRARIES )

# Messages
IF(CREA_VERBOSE_CMAKE)
  MESSAGE(STATUS "=======================================")
  MESSAGE(STATUS "Looking for ___Library_name___here___... found:")
  MESSAGE(STATUS "* ___Library_name___here____DIR          = ${___Library_name___here____DIR}")
  MESSAGE(STATUS "* ___Library_name___here____VERSION      = ${___Library_name___here____VERSION}")
  MESSAGE(STATUS "* ___Library_name___here____USE_FILE     = ${___Library_name___here____USE_FILE}")

  MESSAGE(STATUS "* ___Library_name___here____INCLUDE_DIRS = ${___Library_name___here____INCLUDE_DIRS}")
  MESSAGE(STATUS "* ___Library_name___here____LIBRARY_DIRS = ${___Library_name___here____LIBRARY_DIRS}")
  MESSAGE(STATUS "* ___Library_name___here____LIBRARIES    = ${___Library_name___here____LIBRARIES}")
ENDIF(CREA_VERBOSE_CMAKE)

# Does the library has an additional config file (user provided) ?
SET(___Library_name___here____HAS_ADDITIONAL_CONFIG_FILE FALSE)

IF (___Library_name___here____HAS_ADDITIONAL_CONFIG_FILE)
  IF(CREA_VERBOSE_CMAKE)
    MESSAGE(STATUS "Reading ___Library_name___here___ additional configuration file")
  ENDIF(CREA_VERBOSE_CMAKE)
  # Include it
  INCLUDE(${___Library_name___here____DIR}/Additional___Library_name___here___Config.cmake)
ENDIF (___Library_name___here____HAS_ADDITIONAL_CONFIG_FILE)
